## epics-base 7.0.8.1+dfsg1

=== Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = .
include $(TOP)/configure/CONFIG

# Bootstrap resolution: tools not installed yet
TOOLS = $(TOP)/src/tools

DIRS += configure src
src_DEPEND_DIRS = configure

DIRS += test
test_DEPEND_DIRS = src

DIRS += modules
modules_DEPEND_DIRS = src

include $(TOP)/configure/RULES_TOP
