=== src/Makefile ===
#*************************************************************************
# Copyright (c) 2008 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in the file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ..
include $(TOP)/configure/CONFIG

DIRS += tools

DIRS += template/base
template/base_DEPEND_DIRS = tools

DIRS += template/ext
template/ext_DEPEND_DIRS = tools

include $(TOP)/configure/RULES_DIRS
