=== debian/changelog ===
epics-base (7.0.8.1+dfsg1-8) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Backport upstream fix and build with -std=gnu17 to fix FTBFS
    with GCC 15. Closes: #1096585.

  [ Santiago Vila ]
  * d/control: Add perl-xs-dev to BD. Closes: #1102787.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 13 Oct 2025 19:10:00 +0200

epics-base (7.0.8.1+dfsg1-7) unstable; urgency=medium

  * Team upload.
  [ Niels Thykier ]
  * Remove need for root when building the package. Closes: #1089319.
  * Regenerate `debian/control` which removed Roland Mas as Uploader.

 -- Santiago Vila <sanvila@debian.org>  Fri, 03 Jan 2025 12:10:00 +0100

epics-base (7.0.8.1+dfsg1-6) unstable; urgency=medium

  * remove testServerContext (salsa and buildd) do not behave the same.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 07 Nov 2024 14:05:14 +0100

epics-base (7.0.8.1+dfsg1-5) unstable; urgency=medium

  * the previous fix was not enough

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 07 Nov 2024 12:44:23 +0100

epics-base (7.0.8.1+dfsg1-4) unstable; urgency=medium

  * real fix of the previous FTBFS

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 07 Nov 2024 09:53:27 +0100

epics-base (7.0.8.1+dfsg1-3) unstable; urgency=medium

  * Bug fix: "FTBFS (requires network interfaces)", thanks to Jochen
    Sprickerhof (Closes: #1084828).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Nov 2024 17:51:22 +0100

epics-base (7.0.8.1+dfsg1-2) unstable; urgency=medium

  * Source-only upload, no changes. However, the previous version fixed
    "FTBFS on amd64: Tests failed", thanks to Sebastian Ramacher (Closes:
    #1065724).

 -- Roland Mas <lolando@debian.org>  Tue, 06 Aug 2024 22:29:33 +0200

epics-base (7.0.8.1+dfsg1-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * d/control: generated with the right rules target
  * Added iproute2 in order to check the network configuration

  [ Kentaro Hayashi ]
  * Fix embedded path of installed path
  * Add patch to fix epics header search path (Closes: #1059706)
  * Use xz compression by default

  [ Andrius Merkys ]
  * Strip build flags from pkgconf file.

  [ Roland Mas ]
  * New upstream release.
  * Regen debian/control.
  * Add myself to uploaders.

 -- Roland Mas <lolando@debian.org>  Fri, 26 Jul 2024 17:29:06 +0200
