=== debian/control ===
# This file is autogenerated. DO NOT EDIT
Source: epics-base
Priority: optional
Section: science
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Build-Depends: debhelper-compat (= 13), iproute2, perl-xs-dev
Standards-Version: 4.7.2
Homepage: https://epics-controls.org/
Vcs-Browser: https://salsa.debian.org/science-team/epics-base
Vcs-Git: https://salsa.debian.org/science-team/epics-base.git

Package: libca-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libca4.14.4 (= ${binary:Version}), ${misc:Depends}
Description: EPICS channel access client library (headers)
 EPICS is the Experimental Physics and Industrial Control System.
 This is the EPICS library exposing channel access primitives for
 clients.
 .
 This package contains the header files.

Package: libcom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcom3.23.1 (= ${binary:Version}), ${misc:Depends}
Description: EPICS common library (headers)
 EPICS is the Experimental Physics and Industrial Control System.
 Common library used by all other EPICS building blocks.
 .
 This package contains the header files.

Package: libca4.14.4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EPICS channel access client library
 EPICS is the Experimental Physics and Industrial Control System.
 This is the EPICS library exposing channel access primitives for
 clients.

Package: libcom3.23.1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EPICS common library
 EPICS is the Experimental Physics and Industrial Control System.
 Common library used by all other EPICS building blocks.

Package: epics-dev
Section: devel
Architecture: amd64 arm64
Depends:
 libcom-dev (= ${binary:Version}),
 libca-dev (= ${binary:Version}),
 ${misc:Depends}
Description: EPICS header files
 EPICS is the Experimental Physics and Industrial Control System.
 .
 This package includes the header files for EPICS.

# dbd/ bin/
Package: epics-base
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EPICS tools
 EPICS is the Experimental Physics and Industrial Control System.
 This package provides an extensible set of software components and tools
 with which application developers can create an industrial control system.
 This control system can be used to control accelerators, detectors,
 telescopes, or other scientific experimental equipment.
 .
 epics-base allows an arbitrary number of target systems, IOCs
 (input/output controllers), and host systems, OPIs (operator interfaces) of
 various types.
 .
 This package includes:
   Database Core Library for EPICS
   Record and Soft Device Support Library for EPICS
   caRepeater service
   DBD files

# html & documentation & READMEs
Package: epics-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}
Description: EPICS documentation
 EPICS is the Experimental Physics and Industrial Control System.
 This control system can be used to control accelerators, detectors,
 telescopes, or other scientific experimental equipment.
 .
 This package contains the upstream documentation.

# lib/perl/
Package: libepics-perl
Section: perl
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: EPICS perl module
 EPICS is the Experimental Physics and Industrial Control System.
 .
 This package contains the EPICS Perl module, including the libcap
 perl binding library.
