=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+dfsg1" \
https://epics.anl.gov/download/base/index.php .*/download/base/base-(\d[.\d]+)\.tar\.gz
